{
  "name": "unsecure-webapp",
  "version": "1.0.0",
  "description": "An unsecure webapp to showcase cybersecurity shortcomings",
  "main": "dist/index.js",
  "scripts": {
    "clean": "node clean.js",
    "build": "npm run clean && tsc",
    "start": "npm run build && npm run test && node .",
    "dev": "npm run build && nodemon .",
    "test-ci": "jest --ci --reporters=default --reporters=jest-junit",
    "test": "jest"
  },
  "jest": {
    "testRegex": "dist/.*\\.test.js$",
    "reporters": [
      "default",
      "jest-junit"
    ]
  },
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/sirris-demos/unsecure-webapp.git"
  },
  "author": "Niels Holvoet",
  "license": "ISC",
  "bugs": {
    "url": "https://github.com/nille85/unsecure-webapp/issues"
  },
  "homepage": "https://github.com/nille85/unsecure-webapp#readme",
  "dependencies": {
    "axios": "^1.3.4",
    "body-parser": "^1.20.2",
    "cookie-parser": "^1.4.6",
    "dotenv": "^16.0.3",
    "express": "^4.18.2",
    "mustache": "^4.2.0",
    "prom-client": "^14.2.0",
    "qs": "^6.11.0",
    "uuid": "^9.0.0"
  },
  "devDependencies": {
    "@jest/globals": "^29.5.0",
    "@types/express": "^4.17.17",
    "@types/mustache": "^4.2.2",
    "@types/node": "^18.14.6",
    "jest": "^29.5.0",
    "jest-junit": "^15.0.0",
    "nodemon": "^2.0.20",
    "ts-jest": "^29.0.5",
    "ts-node": "^10.9.1"
  }
}
